| Kea 3.0.2-git

isc::log::Level Struct Reference

Log level structure. More...

`#include <logger_level.h>`

## Public Member Functions
| Level (Severity sev=DEFAULT, int dbg=MIN_DEBUG_LEVEL)

## Public Attributes
int | dbglevel
| Debug level.
Severity | severity
| Logging severity.

## Detailed Description

Log level structure.

A simple pair structure that provides suitable names for the members. It holds a combination of logging severity and debug level.

Definition at line 42 of file logger_level.h.

## Constructor & Destructor Documentation

## ◆ Level()

isc::log::Level::Level | ( | Severity | sev = DEFAULT,
|  | int | dbg = MIN_DEBUG_LEVEL )
| inline

Definition at line 46 of file logger_level.h.

References dbglevel, isc::log::DEFAULT, isc::log::MIN_DEBUG_LEVEL, and severity.

## Member Data Documentation

## ◆ dbglevel

int isc::log::Level::dbglevel

Debug level.

Definition at line 44 of file logger_level.h.

Referenced by Level(), isc::log::LoggerLevelImpl::convertFromBindLevel(), isc::log::LoggerImpl::getDebugLevel(), isc::log::LoggerImpl::getEffectiveDebugLevel(), and isc::log::LoggerLevelImpl::logLevelToString().

## ◆ severity

Severity isc::log::Level::severity

Logging severity.

Definition at line 43 of file logger_level.h.

Referenced by Level(), isc::log::LoggerLevelImpl::convertFromBindLevel(), isc::log::LoggerImpl::getEffectiveSeverity(), isc::log::LoggerImpl::getSeverity(), and isc::log::LoggerLevelImpl::logLevelToString().

The documentation for this struct was generated from the following file:

- logger_level.h